# Codecs.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/Global_Macros.h"`

Include dependency graph for Codecs.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Base64
| Encode/Decode a stream of bytes according to Base64 encoding. More...

## Detailed Description

Id
  Codecs.h,v 4.9 2005/11/26 03:13:13 ossama Exp

Author:
  Krishnakumar B <kitty@cs.wustl.edu>

Codecs is a generic wrapper for various encoding and decoding mechanisms. Currently it includes Base64 content transfer-encoding as specified by RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.